Bug 1259381 - check_snmp lacks support for SNMPv3 context
check_snmp lacks support for SNMPv3 context
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: nagios-plugins (Show other bugs)
el6
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Stephen John Smoogen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 09:40 EDT by laurent
Modified: 2017-06-29 14:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: nagios-plugins-2.2.1-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 14:17:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add SNMPv3 context support to check_snmp (4.98 KB, patch)
2015-09-02 09:40 EDT, laurent
no flags Details | Diff

  None (edit)
Description laurent 2015-09-02 09:40:45 EDT
Created attachment 1069447 [details]
Patch to add SNMPv3 context support to check_snmp

Description of problem:
Using Nagios from EPEL on RHEL6:
The check_snmp plugin for Nagios allows for SNMPv3 requests, but it does not allow to set the context.
This prevents using it with Cisco hardware, for which the context is mandatory to query eg the port status on a switch with VLAN enabled.
Net-SNMP has supported setting the context for a while, using the -n parameter, so the same possibility is needed for check_snmp.

Version-Release number of selected component (if applicable):
2.0.3

How reproducible:
Always

Steps to Reproduce:
1. Do a query of a Cisco switch port, using SNMPv3 

Actual results:

/usr/lib64/nagios/plugins/check_snmp -P 3 -L authPriv -a sha -x aes -U xxx -A xxx -X xxx -H switch -o .1.3.6.1.2.1.17.2.15.1.3.24 -s 5
SNMP CRITICAL - *Such Instance currently exists at this OID* |

Expected results:
/usr/lib64/nagios/plugins/check_snmp -P 3 -L authPriv -a sha -x aes -U xxx -A xxx -X xxx -N vlan-201 -H switch -o .1.3.6.1.2.1.17.2.15.1.3.24 -s 5
SNMP OK - 5 | iso.3.6.1.2.1.17.2.15.1.3.24=5 


Additional info:
I've been applying a patch found there and rebuilding from the source rpm:
https://build.opensuse.org/package/view_file/server:monitoring/nagios-plugins/nagios-plugins.check_snmp.snmpv3-context.patch?expand=1

It adds a -N parameter (-n is already in use).
The resulting binary has been working well for my needs, context can be used and no side effect so far, so I would appreciate if it could be considered for inclusion in EPEL.
Comment 1 Fedora Update System 2017-02-15 09:31:54 EST
nagios-plugins-2.1.4-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa
Comment 2 laurent 2017-02-15 09:59:31 EST
The latest upgrade of the Nagios plugins went smoothly, and all my tests worked with them without any additional patching needed.
So I consider this to be fixed, thanks!
Comment 3 Fedora Update System 2017-02-16 09:16:04 EST
nagios-plugins-2.1.4-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4e77054bfa
Comment 4 Fedora Update System 2017-02-16 16:15:39 EST
nagios-plugins-2.1.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b820953367
Comment 5 Fedora Update System 2017-02-17 10:30:50 EST
nagios-plugins-2.1.4-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd
Comment 6 Fedora Update System 2017-02-17 19:16:45 EST
nagios-plugins-2.1.4-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-994c77a4cd
Comment 7 Fedora Update System 2017-02-25 16:53:00 EST
nagios-plugins-2.2.0-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5d813cd00d
Comment 8 Fedora Update System 2017-02-25 17:27:23 EST
nagios-plugins-2.2.0-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31
Comment 9 Fedora Update System 2017-02-26 17:48:35 EST
nagios-plugins-2.2.0-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b0accaba31
Comment 10 Fedora Update System 2017-03-10 19:48:17 EST
nagios-plugins-2.2.0-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4
Comment 11 Fedora Update System 2017-03-11 07:47:56 EST
nagios-plugins-2.2.0-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-4a502a08b4
Comment 12 Fedora Update System 2017-03-13 09:30:10 EDT
nagios-plugins-2.2.0-7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064
Comment 13 Fedora Update System 2017-03-13 20:16:48 EDT
nagios-plugins-2.2.0-7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1623674064
Comment 14 Fedora Update System 2017-04-20 20:16:54 EDT
nagios-plugins-2.2.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-306cbf64b0
Comment 15 Fedora Update System 2017-06-29 14:17:21 EDT
nagios-plugins-2.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.